#       enable_builtin.bash
#
#       This file is part of zenpakt

#       Copyright 2011 Anshul Narula aka sunny <sunny_delhi18@yahoo.com>
#
#       Zenpakt is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

#HELP
#load builtin
#
#enable the given BUILTIN using $ZENPAKT_BUILTINS_DIR/builtins as directory to
#search for the loadable builtins
#ENDHELP
#=======================================================================#
$$
load() {
  enable -f "$ZENPAKT_BUILTINS_DIR/$1" "$1" || return 1
} #2>/dev/null

enable_builtin() {
  debug_msg_log "***enable_builtin is deprecated use load***"
  load "$@"
}
